Subject: bug#66706: [PATCH] Automatic elisp dialect insertion

From: Eli Zaretskii <[email-masked]>
Date: Wed, 25 Oct 2023 15:03:12 +0300

> From: Stefan Monnier <[email-masked]>
> Cc: Eli Zaretskii <[email-masked]>,  Mattias Engdegård
>  <[email-masked]>,  [email-masked],
>   [email-masked]
> Date: Tue, 24 Oct 2023 22:01:25 -0400
> 
> Just to be clear: the long term goal is to eliminate the dynbind
> dialect, or at least make it be an opt-in that requires taking extra
> steps, such as adding a cookie to the file, whereas the lexbind dialect
> should be the default.  Not because dynbind is evil.  Not because it
> imposes an undue burden on the implementation.
> But because having two dialects imposes an undue burden on our users.
> Those who read all the docs may not care, but all the others are
> vulnerable to the usual "I copied the code from that webpage and it
> doesn't work" because the code on that webpage used the other dialect.
> 
> So the question is how to move from here to there in the least
> painful way and I believe that inserting this cookie by default is a step
> that will make this transition less painful.

I thought we already decided on that: we should make lexical-binding
the default at some point.  Until then, I see no reason why the
prominent indication on the mode line should not be enough.